package com.bonus.canteen.core.menu.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;

import java.math.BigDecimal;

public class MenuMaterialImportDTO {
   @ExcelIgnore
   private Long areaId;
   @ExcelProperty({"所属区域"})
   private String areaName;
   @ExcelProperty({"原料名称"})
   private String materialName;
   @ExcelProperty({"原料类别"})
   private String categoryName;
   @ExcelProperty({"原料单位"})
   private String unitName;
   @ExcelProperty({"原料进价"})
   private BigDecimal unitPrice;
   @ExcelProperty({"条码"})
   private String barCode;
   @ExcelProperty({"计重"})
   private Integer salesMode;
   @ExcelProperty({"原料类型(1原料2商品)"})
   private Integer materialType;
   @ExcelProperty({"营养信息"})
   private String nutritionName;

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public BigDecimal getUnitPrice() {
      return this.unitPrice;
   }

   public String getBarCode() {
      return this.barCode;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public Integer getMaterialType() {
      return this.materialType;
   }

   public String getNutritionName() {
      return this.nutritionName;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setUnitPrice(final BigDecimal unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setBarCode(final String barCode) {
      this.barCode = barCode;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setMaterialType(final Integer materialType) {
      this.materialType = materialType;
   }

   public void setNutritionName(final String nutritionName) {
      this.nutritionName = nutritionName;
   }

}
